#include <Am/Moveto_maps.h>

Moveto_Ball_map::Moveto_Ball_map(void)
{
     obj_dir = obj_dist = 0.0;
     amap.reset();
     amap.set_type(Move);

     avoid = 0;
     project = 1;
     decay = Cons2::ball_decay();
     radius = Cons2::player_size() + Cons2::ball_size() + 0.1;
}

Moveto_Avoid_ball_map::Moveto_Avoid_ball_map(void)
{
     obj_dir = obj_dist = 0.0;
     amap.reset();
     amap.set_type(Move);

     avoid = 1;
     project = 0;
     decay = Cons2::ball_decay();
     radius = Cons2::player_size() + Cons2::ball_size() + 0.5;

}

Moveto_Avoid_ball_far_map::Moveto_Avoid_ball_far_map()
{
    obj_dir = obj_dist = 0.0;
    amap.reset();
    amap.set_type(Move);

    avoid = 1;
    project = 0;
    decay = Cons2::ball_decay();
    radius = 7.0;
}



Moveto_Location_map::Moveto_Location_map(void)
{
     obj_dir = obj_dist=0.0;
     amap.reset();
     amap.set_type(Move);

     avoid = 0;
     project = 1;
     decay = 1.0;
     radius = .1;
}

Moveto_Player_map::Moveto_Player_map(void)
{
     obj_dir = obj_dist = 0.0;
     amap.reset();
     amap.set_type(Move);

     avoid = 1;
     project = 0;
     decay = 1.0;
     radius = 2*Cons2::player_size() + 0.2;
}

Moveto_Defloc_map::Moveto_Defloc_map(void)
{
     obj_dir = obj_dist=0.0;
     amap.reset();
     amap.set_type(Move);

     avoid = 0;
     project = 1;
     decay = 1.0;
     radius = 5;
}
