// file    : Ma_opponent.cc   

#include "decls.h"
//#include "Soccer.h"
#include <Ma/Ma_opponent.h>

const float FILTER_MIN_DIST = 10.0; // minimum distance where filter can be used

Ma_opponent::Ma_opponent() 
          :Ma_teammate(1)  // force Ma_teammate constructor to do nothing
{
    my_id = MA_OPPONENT_ID;
    inhibited = NO;
    
    int i;
    for(i = 0; i < 12; i++){
        use_filter[i] = 1;
        marker_team[i].cer = 0.0;
        marker_team[i].norm_dist = 10000.0;
    }
    for(i = 0; i < 11;i++){
        all.player[i].cer = 0.0;
        all.order[i] = i;
        all.player[i].unum = i+1;
    }
    
   
    marker_side = Side_R; // this marker is for opponents

    if(Cons2::debug_level_startup()) 
        cerr << "Ma_opponent: CONSTRUCTOR executed" << endl;
}


Ma_opponent::~Ma_opponent()
{
     if(Cons2::debug_level_exit()) cerr << "Ma_opponent: DESTRUCTOR executed" << endl;
}

void Ma_opponent::trace()
{
/*     if(Cons2::debug_file_ma_opponent()){
          // write position of all the teammates to file
          if(Cons2::debug_level()>5) cerr << "writing to trc file" << endl;
          // write to debugfile     
          trc((int)my_id, 1, curr_time,
              marker_team[1].g_loc.get_x(), marker_team[1].g_loc.get_y(),
              marker_team[2].g_loc.get_x(), marker_team[2].g_loc.get_y(),
              marker_team[3].g_loc.get_x(), marker_team[3].g_loc.get_y(),
              marker_team[4].g_loc.get_x(), marker_team[4].g_loc.get_y(),
              marker_team[5].g_loc.get_x(), marker_team[5].g_loc.get_y(),
              marker_team[6].g_loc.get_x(), marker_team[6].g_loc.get_y(),
              marker_team[7].g_loc.get_x(), marker_team[7].g_loc.get_y(),
              marker_team[8].g_loc.get_x(), marker_team[8].g_loc.get_y(),
              marker_team[9].g_loc.get_x(), marker_team[9].g_loc.get_y(),
              marker_team[10].g_loc.get_x(), marker_team[10].g_loc.get_y(),
              marker_team[11].g_loc.get_x(), marker_team[11].g_loc.get_y(),
          
              marker_team[1].cer,
              marker_team[2].cer,
              marker_team[3].cer,
              marker_team[4].cer,
              marker_team[5].cer,
              marker_team[6].cer,
              marker_team[7].cer,
              marker_team[8].cer,
              marker_team[9].cer,
              marker_team[10].cer,
              marker_team[11].cer );

              }*/
}
