#ifndef _V_DECLS_H
#define _V_DECLS_H 1

#include <stdio.h>
#include <string.h>
#include <iostream.h>
#include <pfstream.h>
#include <math.h>
#include <errno.h>
#include <limits.h>
#include <unistd.h>
#include <assert.h>
#include <ctype.h>

const int V_NOBJS = 700;
const int V_MAX_NAME_LEN = 7;    // 6 chars + \0
const int V_MAX_TITLE_LEN = 100;

const int V_CORRUPTED_MSG = -1;
const int V_INIT_MSG = 1;
const int V_REQ_MSG = 2;
const int V_QUIT_MSG = 3;

const int V_THICK_LINE_W = 4;

enum v_obj_type {
     V_OBJ_INVALID = 0,
     V_OBJ_CIRC = 1, 
     V_OBJ_DISC = 2, 
     V_OBJ_LSEG = 3,
     V_OBJ_LINE = 4,
     V_OBJ_THICK_LSEG = 5,
     V_OBJ_THICK_LINE = 6
};

enum v_color {
     V_WHITE  =  0,
     V_BLACK  =  1,
     V_RED    =  2,
     V_GREEN  =  3,
     V_BLUE   =  4,
     V_YELLOW =  5,
     V_VIOLET =  6,
     V_ORANGE =  7,
     V_CYAN   =  8,
     V_BROWN  =  9,
     V_PINK   = 10,
     V_GREEN2 = 11,
     V_BLUE2  = 12,
     V_GREY1  = 13,
     V_GREY2  = 14,
     V_GREY3  = 15,
     V_IVORY  = 16 
};

#endif
