// -*- mode:C++ -*-
/* file: ab_filter.h
 */

#ifndef AB_FILTER_H
#define AB_FILTER_H


class Ab_filter
{
  public:
     Ab_filter(float new_alpha = 0.5);  // constructor
     
     void reset (float alpha = 0.5);
     void set_alpha (float alpha);
     void smooth (int curr_time, float measured_position,
                  float& smooth_pos, float& smooth_vel);
     void predict (int curr_time, int pred_delay,
                   float& pred_pos, float& pred_vel);
     
protected:
     float smooth_pos;
     float smooth_vel;
     int update_time;
     float alpha;
     float beta;
     long  count;
};


#endif // ifndef AB_FILTER_H
/* end of file*/

