// -*- mode:C++ -*-                                     
// File:   Ma_special_loc.h                             
// Author: Jussi Pajala 23.6.1997,  jussip@tks.oulu.fi   
//

#ifndef MA_SPECIAL_LOC_H
#define MA_SPECIAL_LOC_H

#include "Vector.h"
#include "icomm.h"

struct Special_loc
{
     Vector g_loc;
     Vector loc;
     CERTAINTY cer;
     int valid;
};
class Ma_special_loc;


#include "Module.h"
#include <Ma/Ma_ball.h>
#include <Ma/Ma_me.h>
#include <Ma/Ma_goal.h>

class Ma_special_loc:public Module
{
public:
    Ma_special_loc();
    ~Ma_special_loc();
    
    void Init(EmptySamba *sambapointer);
    virtual void reset(){ ;};  // do nothing in reset!!
    void invalidate_all();
    
    void read(Special_loc &to);
protected:
    int       transform();      // called by Module::execute()
    
    Special_loc specloc;
    

    Ma_ball         *ma_ball;
    Ma_me           *ma_me;  
    Ma_goal         *ma_goal;
     
    Me_marker me;
    Ball_marker ball;
    Goal_marker opp_goal;
};
#endif








